Name:           kde-connect
Version:        0.8
Release:        1%{?dist}
License:        GPLv2+
Summary:        KDE Connect client for communication with smartphones

Url:            https://projects.kde.org/projects/playground/base/kdeconnect-kde
Source0:        http://download.kde.org/unstable/kdeconnect/%{version}/src/kdeconnect-kde-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libfakekey)
BuildRequires:  pkgconfig(QJson)
BuildRequires:  pkgconfig(qca2)

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
%{?_kde_runtime_requires}
Requires:       fuse-sshfs
# core/daemon.cpp comments hint qca-gnupg may be required too (but I doubt it) -- rex
Requires:       qca-ossl%{?_isa}

%description
KDE Connect adds communication between KDE and your smartphone.

Currently, you can pair with your Android devices over Wifi using the
KDE Connect app from Albert Vaka which you can obtain via Google Play, F-Droid
or the project website.

%package libs
Summary: Runtime libraries for %{name}
# when -libs was introduced, upgrade path for multilib'd kde-connect
Obsoletes: kde-connect < 0.7
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q -n kdeconnect-kde-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --all-name --with-kde


%post
/bin/touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  /bin/touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING README
%{_kde4_bindir}/kdeconnect-cli
#daemon
%{_libexecdir}/kde4/kdeconnectd
#kcm
%{_kde4_libdir}/kde4/kcm_kdeconnect.so
%{_kde4_datadir}/applications/kde4/kdeconnect.desktop
%{_kde4_datadir}/kde4/services/kcm_kdeconnect.desktop
#kio
%{_kde4_libdir}/kde4/kio_kdeconnect.so
%{_kde4_datadir}/kde4/services/kdeconnect.protocol
#lib
%{_kde4_libdir}/kde4/imports/org/kde/kdeconnect/
%{_kde4_libdir}/kde4/kded_kdeconnect.so
#dbus interfaces
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.daemon.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.battery.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.notifications.notification.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.notifications.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.sftp.xml
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
#modules
%{_kde4_libdir}/kde4/kdeconnect*.so
%{_kde4_appsdir}/kdeconnect/
%{_kde4_appsdir}/plasma/plasmoids/kdeconnect/
#module desktop files
%{_kde4_datadir}/kde4/services/kdeconnect*.desktop
%{_kde4_datadir}/kde4/services/kded/kdeconnect.desktop
%{_kde4_datadir}/kde4/services/plasma-kdeconnect.desktop
%{_kde4_datadir}/kde4/servicetypes/kdeconnect_plugin.desktop
#icons
%{_kde4_iconsdir}/hicolor/*/apps/kdeconnect.*

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libkdeconnectcore.so.1*
%{_kde4_libdir}/libkdeconnectinterfaces.so.1*

%files devel
%{_kde4_includedir}/KDEConnect/
%{_kde4_includedir}/kdeconnect/
%{_kde4_libdir}/cmake/KDEConnect/
%{_kde4_libdir}/libkdeconnectcore.so
%{_kde4_libdir}/libkdeconnectinterfaces.so


%changelog
* Sun Feb 22 2015 Rex Dieter <rdieter@fedoraproject.org> 0.8-1
- KDE Connect 0.8 available (#1195011)
- use %%{?_kde_runtime_requires} (instead of %%_kde4_version macro)

* Thu Oct 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.7.3-1
- kde-connect-0.7.3
- BR: libfakekey-devel (and switch other BR's to pkgconfig style)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 06 2014 Rex Dieter <rdieter@fedoraproject.org> 0.7.2-1
- kde-connect-0.7.2 (#1116448)

* Sun Jun 29 2014 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-1
- 0.7.1

* Sat Jun 28 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.7-1
- kde-connect-0.7 (#1114196)
- Requires: fuse-sshfs (#1114197)
- Requires: qca-ossl
- -libs, -devel subpkgs

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.3.20140305git52901898
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 05 2014 Martin Briza <mbriza@redhat.com> - 0.6-0.2.20140305git52901898
- Include the translations too

* Wed Mar 05 2014 Martin Briza <mbriza@redhat.com> - 0.6-0.1.20140305git52901898
- Updated to the latest upstream git to match the mobile app release

* Mon Feb 24 2014 Martin Briza <mbriza@redhat.com> - 0.5-1
- New release

* Thu Jan 02 2014 Martin Briza <mbriza@redhat.com> - 0.4.2-1
- Initial package
